#ifndef __LINE_H__
#define __LINE_H__

#include "point.h"

class cLine {
    public:
        cLine ();
        cLine (cPoint point1_, cPoint point2_);
        cLine (double k_, double b_);

        bool Ok ();
        void show ();

        bool parallel_me (cLine line1_);

        double get_K () {return m_K;}
    private:
        void find_coff ();
        void find_point ();

        cPoint m_point1;
        cPoint m_point2;

        double m_K;
        double m_B;

};

#endif
